name: daily_challenge
description: A new Flutter project.
version: 3.0.0
homepage:

environment:
  sdk: '>=2.18.6 <4.0.0'
  flutter: ">=1.17.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  table_calendar: ^3.0.6
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.0

  design:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_ui/packages/design
      ref: v3.0.0

  design_spec:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_ui/packages/design_spec
      ref: v3.0.0

  design_generator:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_ui/packages/design_generator
      ref: v3.0.0

  guru_widgets:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_ui/packages/guru_widgets
      ref: v3.0.0

  guru_utils:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_app/packages/guru_utils
      ref: v3.0.0
  build_runner: 2.4.7
  intl: 0.18.1

  json_serializable: 6.7.1

dependency_overrides:
  design:
    path: ../design

  design_spec:
    path: ../design_spec

  guru_widgets:
    path: ../guru_widgets
#
  guru_popup:
    path: ../guru_popup

  guru_utils:
    path: ../../../guru_app/packages/guru_utils

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:

  # To add assets to your package, add an assets section, like this:
   assets:
     - assets/
     - assets/lottie/
  #
  # For details regarding assets in packages, see
  # https://flutter.dev/assets-and-images/#from-packages
  #
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # To add custom fonts to your package, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts in packages, see
  # https://flutter.dev/custom-fonts/#from-packages
